/*
	Virtual VCR
    Copyright (C) 2002  Shaun Faulds

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	Acknowledgments:
	This application and associated filters are based on the examples
	from the Microsoft DirectX DirectShow SDK.
*/

#ifndef __FLOWMETER__
#define __FLOWMETER__

#ifdef __cplusplus
extern "C" {
#endif


//----------------------------------------------------------------------------
// IFlowMeter's GUID

// {55BF0573-9D5A-4d61-8F2E-7F8725ABD520}
DEFINE_GUID(IID_IFlowMeter, 
0x55bf0573, 0x9d5a, 0x4d61, 0x8f, 0x2e, 0x7f, 0x87, 0x25, 0xab, 0xd5, 0x20);
//----------------------------------------------------------------------------

//----------------------------------------------------------------------------
// IFlowMeter
//----------------------------------------------------------------------------
DECLARE_INTERFACE_(IFlowMeter, IUnknown)
{

    STDMETHOD(get_FlowData) (THIS_
    				  LONGLONG *FlowData
				 ) PURE;

    STDMETHOD(get_TransformCount) (THIS_
    				  LONGLONG *TransCount
				 ) PURE;

    STDMETHOD(resetALL) (THIS_
    				  
				 ) PURE;

    STDMETHOD(get_SamplesPerSecond) (THIS_
    				  double *data
				 ) PURE;

    STDMETHOD(get_DroppedFrames) (THIS_
    				  LONGLONG *data
				 ) PURE;

	STDMETHOD(get_DroppedFramesList) (THIS_
    				  __int64 *&data
				 ) PURE;
};
//----------------------------------------------------------------------------

#ifdef __cplusplus
}
#endif

#endif // __FLOWMETER__
