/*
	Virtual VCR
    Copyright (C) 2002  Shaun Faulds

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	Acknowledgments:
	This application and associated filters are based on the examples
	from the Microsoft DirectX DirectShow SDK.
*/

#if !defined(CFilterDescription_Header)
#define CFilterDescription_Header

#include <dshow.h>
#include <string>
using namespace std;

class CFilterDescription
{

private:

	string filterName;
	string filterID;
	string filterProperties;
	IBaseFilter *filterPointer;
	BOOL isMine;
	int loadErrMsg(LPTSTR sz,...);

public:

    CFilterDescription(string id, string name, string prop, BOOL mine);
    ~CFilterDescription();

	string getName();
	string getProp();
	string getID();
	BOOL getIsMine();

	setID(string id);
	setProp(string prop);
	setName(string name);
	setIsMine(BOOL mine);

	IBaseFilter* getPointer();
	BOOL createInstance();
	BOOL releaseInstance();

};

#endif