/*
	Virtual VCR
    Copyright (C) 2002  Shaun Faulds

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

	Acknowledgments:
	This application and associated filters are based on the examples
	from the Microsoft DirectX DirectShow SDK.
*/

#if !defined(CFilterList_Header)
#define CFilterList_Header

#include <dshow.h>
#include <string>
using namespace std;

#include "CFilterDescription.h"

class CFilterList
{

private:

	int filterCount;
	CFilterDescription *allFilters[5000];
	CFilterDescription *selectedFilters[5000];
	BOOL setFilterPropertyString(int x, char* prop);

	int loadErrMsg(LPTSTR sz,...);

	BOOL checkFilterName(char *name);
	BOOL checkFilter(IBaseFilter* filter);
	
public:

    CFilterList();
    ~CFilterList();

	getFilterList();

	string getNameFromAllList(int offSet);
	IBaseFilter* getFilterPointer(int offSet);
	BOOL addFilterToSelected(int);
	BOOL removeAllFilterFromSelected();
	BOOL moveFilterUP(int);
	BOOL moveFilterDown(int);
	BOOL showPropBox(HWND, int);
	BOOL populateListBoxWithSelected(HWND, int);
	BOOL isFilterInSelected(int);
	BOOL isFilterMine(int);
	string getIDstring(int);
	void selectFilterByIDString(string guidSting, char* prop);
	char* getFilterPropertyString(int);
	BOOL removeFilter(int);

};

#endif